struct ConfParam {
  char *name;
  char type;
  union PAddr {
     char *c;
     int  *i;
     double *f;
     char *s;
  }    addr;
};

static struct ConfParam conf[] = {
   { "ver_board",       'i', (union PAddr)&ver_board_56 },
   { "base_addr",       'i', (union PAddr)&base_addr },
   { "spe_dir",         's', (union PAddr)spe_dir },
   { "chan0.tandem",    'i', (union PAddr)&chan0.tandem },
   { "chan0.spe1.size", 'i', (union PAddr)&chan0.spe1.size },
   { "chan0.spe1.name", 's', (union PAddr)chan0.spe1.name },
   { "chan0.spe1.sum",  'i', (union PAddr)&chan0.spe1.sum },
   { "chan0.cols1",     'i', (union PAddr)&chan0.cols1 },
   { "chan0.lines1",    'i', (union PAddr)&chan0.lines1 },
   { "chan0.spe2.size", 'i', (union PAddr)&chan0.spe2.size },
   { "chan0.spe2.name", 's', (union PAddr)chan0.spe2.name },
   { "chan0.spe2.sum",  'i', (union PAddr)&chan0.spe2.sum },
   { "chan0.cols2",     'i', (union PAddr)&chan0.cols2 },
   { "chan0.lines2",    'i', (union PAddr)&chan0.lines2 },
   { "chan1.tandem",    'i', (union PAddr)&chan1.tandem },
   { "chan1.spe1.size", 'i', (union PAddr)&chan1.spe1.size },
   { "chan1.spe1.name", 's', (union PAddr)chan1.spe1.name },
   { "chan1.spe1.sum",  'i', (union PAddr)&chan1.spe1.sum },
   { "chan1.cols1",     'i', (union PAddr)&chan1.cols1 },
   { "chan1.lines1",    'i', (union PAddr)&chan1.lines1 },
   { "chan1.spe2.size", 'i', (union PAddr)&chan1.spe2.size },
   { "chan1.spe2.name", 's', (union PAddr)chan1.spe2.name },
   { "chan1.spe2.sum",  'i', (union PAddr)&chan1.spe2.sum },
   { "chan1.cols2",     'i', (union PAddr)&chan1.cols2 },
   { "chan1.lines2",    'i', (union PAddr)&chan1.lines2 },
   { "chan2.tandem",    'i', (union PAddr)&chan2.tandem },
   { "chan2.spe1.size", 'i', (union PAddr)&chan2.spe1.size },
   { "chan2.spe1.name", 's', (union PAddr)chan2.spe1.name },
   { "chan2.spe1.sum",  'i', (union PAddr)&chan2.spe1.sum },
   { "chan2.cols1",     'i', (union PAddr)&chan2.cols1 },
   { "chan2.lines1",    'i', (union PAddr)&chan2.lines1 },
   { "chan2.spe2.size", 'i', (union PAddr)&chan2.spe2.size },
   { "chan2.spe2.name", 's', (union PAddr)chan2.spe2.name },
   { "chan2.spe2.sum",  'i', (union PAddr)&chan2.spe2.sum },
   { "chan2.cols2",     'i', (union PAddr)&chan2.cols2 },
   { "chan2.lines2",    'i', (union PAddr)&chan2.lines2 },
   { "chan3.tandem",    'i', (union PAddr)&chan3.tandem },
   { "chan3.spe1.size", 'i', (union PAddr)&chan3.spe1.size },
   { "chan3.spe1.name", 's', (union PAddr)chan3.spe1.name },
   { "chan3.spe1.sum",  'i', (union PAddr)&chan3.spe1.sum },
   { "chan3.cols1",     'i', (union PAddr)&chan3.cols1 },
   { "chan3.lines1",    'i', (union PAddr)&chan3.lines1 },
   { "chan3.spe2.size", 'i', (union PAddr)&chan3.spe2.size },
   { "chan3.spe2.name", 's', (union PAddr)chan3.spe2.name },
   { "chan3.spe2.sum",  'i', (union PAddr)&chan3.spe2.sum },
   { "chan3.cols2",     'i', (union PAddr)&chan3.cols2 },
   { "chan3.lines2",    'i', (union PAddr)&chan3.lines2 },
   { NULL, 0, NULL}
};
