#define SPE_MAX_SIZE 4096

struct SpeDef {
   int  size;
   char name[80];
   char buf[SPE_MAX_SIZE];
   int  sum;
};
struct ChanDef {
   int tandem;
   struct SpeDef spe1;
   int cols1;
   int lines1;
   struct SpeDef spe2;
   int cols2;
   int lines2;
};

extern struct ChanDef chan0,chan1,chan2,chan3;

extern int ver_board_56;
extern unsigned char ref_hi_56;       /* ref+ on bt252  */
extern unsigned char level_syng_56;   /* level of syng detection bt252  */
extern unsigned char tv_out;

void vs56_init();
void vs56_exit(int);
void reset_xil56();
void set_chan(int ch_num, int ch_form);
void mydelay(double dt);
void set_ref_lev(int high);
int inputFrame56();
int inputFrameTandem(double sec);
void read_frame(int ADD, int Lev0, int CCD);
void write_image();
void wall_msg( char *new_msg);
